(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/common'), require('@angular/core'), require('diff'), require('diff2html')) :
    typeof define === 'function' && define.amd ? define('diff-viewer', ['exports', '@angular/common', '@angular/core', 'diff', 'diff2html'], factory) :
    (global = global || self, factory(global['diff-viewer'] = {}, global.ng.common, global.ng.core, global.diff, global.diff2html));
}(this, (function (exports, common, core, diff, diff2html) { 'use strict';

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/diff-viewer.pipe.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var DiffViewerPipe = /** @class */ (function () {
        function DiffViewerPipe() {
        }
        /**
         * @param {?} obj1
         * @param {?} obj2
         * @param {?} option
         * @return {?}
         */
        DiffViewerPipe.prototype.transform = /**
         * @param {?} obj1
         * @param {?} obj2
         * @param {?} option
         * @return {?}
         */
        function (obj1, obj2, option) {
            /** @type {?} */
            var strInput = diff.createTwoFilesPatch("obj1", "obj2", JSON.stringify(obj1, null, 2), JSON.stringify(obj2, null, 2), "", "", option);
            /** @type {?} */
            var outputHtml = diff2html.html(strInput, (/** @type {?} */ ({
                inputFormat: "diff",
                showFiles: false,
                matching: "lines",
                outputFormat: "side-by-side"
            })));
            /** @type {?} */
            var parser = new DOMParser();
            /** @type {?} */
            var parsedHtml = parser.parseFromString(outputHtml, "text/html");
            /** @type {?} */
            var onlyDiffs = parsedHtml.querySelector(".d2h-files-diff");
            this.removeInfoLabel(onlyDiffs);
            return onlyDiffs.innerHTML;
        };
        /**
         * @private
         * @param {?} element
         * @return {?}
         */
        DiffViewerPipe.prototype.removeInfoLabel = /**
         * @private
         * @param {?} element
         * @return {?}
         */
        function (element) {
            /** @type {?} */
            var infoLines = element.querySelectorAll("tr td.d2h-code-side-linenumber.d2h-info");
            infoLines.forEach((/**
             * @param {?} infoLine
             * @return {?}
             */
            function (infoLine) {
                infoLine.parentElement.remove();
            }));
        };
        DiffViewerPipe.decorators = [
            { type: core.Pipe, args: [{
                        name: "diffViewer"
                    },] }
        ];
        return DiffViewerPipe;
    }());

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/diff-viewer.module.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var DiffViewerModule = /** @class */ (function () {
        function DiffViewerModule() {
        }
        DiffViewerModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [DiffViewerPipe],
                        imports: [common.CommonModule],
                        exports: [DiffViewerPipe]
                    },] }
        ];
        return DiffViewerModule;
    }());

    exports.DiffViewerModule = DiffViewerModule;
    exports.ɵa = DiffViewerPipe;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=diff-viewer.umd.js.map
