import { CommonModule } from '@angular/common';
import { Pipe, NgModule } from '@angular/core';
import { createTwoFilesPatch } from 'diff';
import { html } from 'diff2html';

/**
 * @fileoverview added by tsickle
 * Generated from: lib/diff-viewer.pipe.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class DiffViewerPipe {
    /**
     * @param {?} obj1
     * @param {?} obj2
     * @param {?} option
     * @return {?}
     */
    transform(obj1, obj2, option) {
        /** @type {?} */
        let strInput = createTwoFilesPatch("obj1", "obj2", JSON.stringify(obj1, null, 2), JSON.stringify(obj2, null, 2), "", "", option);
        /** @type {?} */
        let outputHtml = html(strInput, (/** @type {?} */ ({
            inputFormat: "diff",
            showFiles: false,
            matching: "lines",
            outputFormat: "side-by-side"
        })));
        /** @type {?} */
        let parser = new DOMParser();
        /** @type {?} */
        let parsedHtml = parser.parseFromString(outputHtml, "text/html");
        /** @type {?} */
        const onlyDiffs = parsedHtml.querySelector(".d2h-files-diff");
        this.removeInfoLabel(onlyDiffs);
        return onlyDiffs.innerHTML;
    }
    /**
     * @private
     * @param {?} element
     * @return {?}
     */
    removeInfoLabel(element) {
        /** @type {?} */
        const infoLines = element.querySelectorAll("tr td.d2h-code-side-linenumber.d2h-info");
        infoLines.forEach((/**
         * @param {?} infoLine
         * @return {?}
         */
        infoLine => {
            infoLine.parentElement.remove();
        }));
    }
}
DiffViewerPipe.decorators = [
    { type: Pipe, args: [{
                name: "diffViewer"
            },] }
];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/diff-viewer.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class DiffViewerModule {
}
DiffViewerModule.decorators = [
    { type: NgModule, args: [{
                declarations: [DiffViewerPipe],
                imports: [CommonModule],
                exports: [DiffViewerPipe]
            },] }
];

/**
 * @fileoverview added by tsickle
 * Generated from: public-api.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: diff-viewer.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

export { DiffViewerModule, DiffViewerPipe as ɵa };
//# sourceMappingURL=diff-viewer.js.map
