import { CommonModule } from '@angular/common';
import { Pipe, NgModule } from '@angular/core';
import { createTwoFilesPatch } from 'diff';
import { html } from 'diff2html';

/**
 * @fileoverview added by tsickle
 * Generated from: lib/diff-viewer.pipe.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var DiffViewerPipe = /** @class */ (function () {
    function DiffViewerPipe() {
    }
    /**
     * @param {?} obj1
     * @param {?} obj2
     * @param {?} option
     * @return {?}
     */
    DiffViewerPipe.prototype.transform = /**
     * @param {?} obj1
     * @param {?} obj2
     * @param {?} option
     * @return {?}
     */
    function (obj1, obj2, option) {
        /** @type {?} */
        var strInput = createTwoFilesPatch("obj1", "obj2", JSON.stringify(obj1, null, 2), JSON.stringify(obj2, null, 2), "", "", option);
        /** @type {?} */
        var outputHtml = html(strInput, (/** @type {?} */ ({
            inputFormat: "diff",
            showFiles: false,
            matching: "lines",
            outputFormat: "side-by-side"
        })));
        /** @type {?} */
        var parser = new DOMParser();
        /** @type {?} */
        var parsedHtml = parser.parseFromString(outputHtml, "text/html");
        /** @type {?} */
        var onlyDiffs = parsedHtml.querySelector(".d2h-files-diff");
        this.removeInfoLabel(onlyDiffs);
        return onlyDiffs.innerHTML;
    };
    /**
     * @private
     * @param {?} element
     * @return {?}
     */
    DiffViewerPipe.prototype.removeInfoLabel = /**
     * @private
     * @param {?} element
     * @return {?}
     */
    function (element) {
        /** @type {?} */
        var infoLines = element.querySelectorAll("tr td.d2h-code-side-linenumber.d2h-info");
        infoLines.forEach((/**
         * @param {?} infoLine
         * @return {?}
         */
        function (infoLine) {
            infoLine.parentElement.remove();
        }));
    };
    DiffViewerPipe.decorators = [
        { type: Pipe, args: [{
                    name: "diffViewer"
                },] }
    ];
    return DiffViewerPipe;
}());

/**
 * @fileoverview added by tsickle
 * Generated from: lib/diff-viewer.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var DiffViewerModule = /** @class */ (function () {
    function DiffViewerModule() {
    }
    DiffViewerModule.decorators = [
        { type: NgModule, args: [{
                    declarations: [DiffViewerPipe],
                    imports: [CommonModule],
                    exports: [DiffViewerPipe]
                },] }
    ];
    return DiffViewerModule;
}());

/**
 * @fileoverview added by tsickle
 * Generated from: public-api.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: diff-viewer.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

export { DiffViewerModule, DiffViewerPipe as ɵa };
//# sourceMappingURL=diff-viewer.js.map
